org.apache.synapse.commons.throttle.core

## Class ThrottleProperties

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.ThrottleProperties

- All Implemented Interfaces:
    Serializable

      public class ThrottleProperties
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrottleProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMaxNonAssociatedCounterCleanupAmount()`
    `String` | `getThrottleContextDistributedCleanupTaskFrequency()`
    `String` | `getThrottleContextDistributedExpiredInstanceTime()`
    `String` | `getThrottleDistributedCleanupAmount()`
    `String` | `getThrottleDistributedCleanupPoolSize()`
    `String` | `getThrottleDistributedCleanupTaskEnable()`
    `String` | `getThrottleFrequency()`
    `String` | `getThrottlingKeysToReplicates()`
    `String` | `getThrottlingPoolSize()`
    `String` | `getThrottlingReplicationFrequency()`
    `String` | `getWindowReplicatorFrequency()`
    `String` | `getWindowReplicatorPoolSize()`
    `void` | `setMaxNonAssociatedCounterCleanupAmount(String maxNonAssociatedCounterCleanupAmount)`
    `void` | `setThrottleContextDistributedCleanupTaskFrequency(String throttleContextDistributedCleanupTaskFrequency)`
    `void` | `setThrottleContextDistributedExpiredInstanceTime(String throttleContextDistributedExpiredInstanceTime)`
    `void` | `setThrottleDistributedCleanupAmount(String throttleDistributedCleanupAmount)`
    `void` | `setThrottleDistributedCleanupPoolSize(String throttleDistributedCleanupPoolSize)`
    `void` | `setThrottleDistributedCleanupTaskEnable(String throttleDistributedCleanupTaskEnable)`
    `void` | `setThrottleFrequency(String throttleFrequency)`
    `void` | `setThrottlingKeysToReplicates(String throttlingKeysToReplicates)`
    `void` | `setThrottlingPoolSize(String throttlingPoolSize)`
    `void` | `setThrottlingReplicationFrequency(String throttlingReplicationFrequency)`
    `void` | `setWindowReplicatorFrequency(String windowReplicatorFrequency)`
    `void` | `setWindowReplicatorPoolSize(String windowReplicatorPoolSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrottleProperties

          public ThrottleProperties()

  - ### Method Detail

    - #### getWindowReplicatorPoolSize

          public String getWindowReplicatorPoolSize()

    - #### setWindowReplicatorPoolSize

          public void setWindowReplicatorPoolSize(String windowReplicatorPoolSize)

    - #### getWindowReplicatorFrequency

          public String getWindowReplicatorFrequency()

    - #### setWindowReplicatorFrequency

          public void setWindowReplicatorFrequency(String windowReplicatorFrequency)

    - #### getThrottleDistributedCleanupTaskEnable

          public String getThrottleDistributedCleanupTaskEnable()

    - #### setThrottleDistributedCleanupTaskEnable

          public void setThrottleDistributedCleanupTaskEnable(String throttleDistributedCleanupTaskEnable)

    - #### getMaxNonAssociatedCounterCleanupAmount

          public String getMaxNonAssociatedCounterCleanupAmount()

    - #### setMaxNonAssociatedCounterCleanupAmount

          public void setMaxNonAssociatedCounterCleanupAmount(String maxNonAssociatedCounterCleanupAmount)

    - #### getThrottleDistributedCleanupAmount

          public String getThrottleDistributedCleanupAmount()

    - #### setThrottleDistributedCleanupAmount

          public void setThrottleDistributedCleanupAmount(String throttleDistributedCleanupAmount)

    - #### getThrottleDistributedCleanupPoolSize

          public String getThrottleDistributedCleanupPoolSize()

    - #### setThrottleDistributedCleanupPoolSize

          public void setThrottleDistributedCleanupPoolSize(String throttleDistributedCleanupPoolSize)

    - #### getThrottleContextDistributedExpiredInstanceTime

          public String getThrottleContextDistributedExpiredInstanceTime()

    - #### setThrottleContextDistributedExpiredInstanceTime

          public void setThrottleContextDistributedExpiredInstanceTime(String throttleContextDistributedExpiredInstanceTime)

    - #### getThrottleContextDistributedCleanupTaskFrequency

          public String getThrottleContextDistributedCleanupTaskFrequency()

    - #### setThrottleContextDistributedCleanupTaskFrequency

          public void setThrottleContextDistributedCleanupTaskFrequency(String throttleContextDistributedCleanupTaskFrequency)

    - #### getThrottleFrequency

          public String getThrottleFrequency()

    - #### setThrottleFrequency

          public void setThrottleFrequency(String throttleFrequency)

    - #### getThrottlingPoolSize

          public String getThrottlingPoolSize()

    - #### setThrottlingPoolSize

          public void setThrottlingPoolSize(String throttlingPoolSize)

    - #### getThrottlingReplicationFrequency

          public String getThrottlingReplicationFrequency()

    - #### setThrottlingReplicationFrequency

          public void setThrottlingReplicationFrequency(String throttlingReplicationFrequency)

    - #### getThrottlingKeysToReplicates

          public String getThrottlingKeysToReplicates()

    - #### setThrottlingKeysToReplicates

          public void setThrottlingKeysToReplicates(String throttlingKeysToReplicates)

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.